Package io.vertx.ext.auth

## Class PubSecKeyOptions

- java.lang.Object
- - io.vertx.ext.auth.PubSecKeyOptions

-     public class PubSecKeyOptions
      extends Object

  Options describing Key stored in PEM format.
  Author:
    Paulo Lopes

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PubSecKeyOptions()` | Default constructor
    `PubSecKeyOptions​(JsonObject json)` | Constructor to create an options from JSON
    `PubSecKeyOptions​(PubSecKeyOptions other)` | Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAlgorithm()` |
    `Buffer` | `getBuffer()` | The PEM or Secret key buffer.
    `String` | `getId()` |
    `PubSecKeyOptions` | `setAlgorithm​(String algorithm)` |
    `PubSecKeyOptions` | `setBuffer​(Buffer buffer)` | The PEM or Secret key buffer.
    `PubSecKeyOptions` | `setBuffer​(String buffer)` | The PEM or Secret key buffer.
    `PubSecKeyOptions` | `setId​(String id)` |
    `JsonObject` | `toJson()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PubSecKeyOptions

          public PubSecKeyOptions()

      Default constructor

    - #### PubSecKeyOptions

          public PubSecKeyOptions​(PubSecKeyOptions other)

      Copy constructor
      Parameters:
        `other` - the options to copy

    - #### PubSecKeyOptions

          public PubSecKeyOptions​(JsonObject json)

      Constructor to create an options from JSON
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

    - #### getAlgorithm

          public String getAlgorithm()

    - #### setAlgorithm

          public PubSecKeyOptions setAlgorithm​(String algorithm)

    - #### getBuffer

          public Buffer getBuffer()

      The PEM or Secret key buffer. When working with secret materials, the material is expected to be encoded in `UTF-8`. PEM files are expected to be `US_ASCII` as the format uses a base64 encoding for the payload.
      Returns:
        the buffer.

    - #### setBuffer

          public PubSecKeyOptions setBuffer​(String buffer)

      The PEM or Secret key buffer. When working with secret materials, the material is expected to be encoded in `UTF-8`. PEM files are expected to be `US_ASCII` as the format uses a base64 encoding for the payload.
      Returns:
        self.

    - #### setBuffer

          public PubSecKeyOptions setBuffer​(Buffer buffer)

      The PEM or Secret key buffer. When working with secret materials, the material is expected to be encoded in `UTF-8`. PEM files are expected to be `US_ASCII` as the format uses a base64 encoding for the payload.
      Returns:
        self.

    - #### getId

          public String getId()

    - #### setId

          public PubSecKeyOptions setId​(String id)